> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all report launcher items in the Pnl launcher



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json get /api/ReportLauncher/PnlReportLauncherItemGetAll
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/ReportLauncher/PnlReportLauncherItemGetAll:
    get:
      tags:
        - ReportLauncher
      summary: Get all report launcher items in the Pnl launcher
      operationId: PnlReportLauncherItemGetAll
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiPnlReportLauncherItemGetAllResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiPnlReportLauncherItemGetAllResponse:
      example:
        report_launcher_items:
          - final_date: '2000-01-23T04:56:07.000+00:00'
            initial_date: '2000-01-23T04:56:07.000+00:00'
            lookback_period: daily
            is_druid_report: true
          - final_date: '2000-01-23T04:56:07.000+00:00'
            initial_date: '2000-01-23T04:56:07.000+00:00'
            lookback_period: daily
            is_druid_report: true
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        report_launcher_items:
          items:
            $ref: '#/components/schemas/PnlReportLauncherItem'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportLauncher.ApiPnlReportLauncherItemGetAllResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    PnlReportLauncherItem:
      example:
        final_date: '2000-01-23T04:56:07.000+00:00'
        initial_date: '2000-01-23T04:56:07.000+00:00'
        lookback_period: daily
        is_druid_report: true
      properties:
        id:
          format: uuid
          type: string
        portfolio_name:
          nullable: true
          type: string
        portfolio_type:
          enum:
            - derivitec
            - enfusion
            - not_set
          type: string
        report_name:
          nullable: true
          type: string
        market_data_environment_names:
          items:
            type: string
          nullable: true
          type: array
        real_time_mkt_data:
          type: boolean
        report_id:
          nullable: true
          type: string
        reporting_currency:
          nullable: true
          type: string
        report_status:
          enum:
            - none
            - succeeded
            - failed
            - running
            - warning
          type: string
        report_status_message:
          nullable: true
          type: string
        time_stamp:
          format: date-time
          nullable: true
          type: string
        run_date_is_today:
          type: boolean
        initial_date:
          format: date-time
          nullable: true
          type: string
        final_date:
          format: date-time
          type: string
        lookback_period:
          enum:
            - daily
            - month_to_date
            - quarter_to_date
            - year_to_date
            - annual
          nullable: true
          type: string
        is_druid_report:
          type: boolean
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportLauncher.PnlReportLauncherItem,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````